import BasicPage from "../../../components/basic-page";
import PBlock from "../../../components/project-block";

// An object listing pages folks can visit
export async function getStaticProps() {
  const fs = require("fs");
  const yaml = require("js-yaml");
  let OTHER = {};

  try {
    let fileContent = fs.readFileSync("./data/other.yml", "utf8");
    OTHER = yaml.load(fileContent);
  } catch (e) {
    console.log(e);
  }
  return {
    props: {
      OTHER,
    },
  };
}

export default function Services({ OTHER }) {
  return (
    <BasicPage page_title="Misc Projects" card_title="Some other things I do!">
      <div className="rounded-lg ring-2 ring-werefox-grey dark:ring-werefox-grey-darker bg-werefox-grey-light dark:bg-werefox-grey">
        <PBlock title="Miscelaneous Projects" cards={OTHER} />
      </div>
    </BasicPage>
  );
}
